(defproblem problem domain 
  (
    (capacity-predecessor capacity-0 capacity-1)
    (capacity-predecessor capacity-1 capacity-2)
    (capacity-predecessor capacity-2 capacity-3)
    (road city-loc-0 city-loc-3)
    (road city-loc-1 city-loc-2)
    (road city-loc-2 city-loc-1)
    (road city-loc-2 city-loc-3)
    (road city-loc-3 city-loc-0)
    (road city-loc-3 city-loc-2)
    (road city-loc-3 city-loc-3)
    (at package-0 city-loc-0)
    (at package-1 city-loc-1)
    (at package-2 city-loc-3)
    (at package-3 city-loc-2)
    (at truck-0 city-loc-0)
    (capacity truck-0 capacity-3)
    (type_capacity-number capacity-0)
    (type_capacity-number capacity-1)
    (type_capacity-number capacity-2)
    (type_capacity-number capacity-3)
    (type_locatable package-0)
    (type_locatable package-1)
    (type_locatable package-2)
    (type_locatable package-3)
    (type_locatable truck-0)
    (type_location city-loc-0)
    (type_location city-loc-1)
    (type_location city-loc-2)
    (type_location city-loc-3)
    (type_object capacity-0)
    (type_object capacity-1)
    (type_object capacity-2)
    (type_object capacity-3)
    (type_object city-loc-0)
    (type_object city-loc-1)
    (type_object city-loc-2)
    (type_object city-loc-3)
    (type_object package-0)
    (type_object package-1)
    (type_object package-2)
    (type_object package-3)
    (type_object truck-0)
    (type_package package-0)
    (type_package package-1)
    (type_package package-2)
    (type_package package-3)
    (type_sort_for_capacity-0 capacity-0)
    (type_sort_for_capacity-1 capacity-1)
    (type_sort_for_capacity-2 capacity-2)
    (type_sort_for_capacity-3 capacity-3)
    (type_sort_for_city-loc-0 city-loc-0)
    (type_sort_for_city-loc-1 city-loc-1)
    (type_sort_for_city-loc-2 city-loc-2)
    (type_sort_for_city-loc-3 city-loc-3)
    (type_sort_for_package-0 package-0)
    (type_sort_for_package-1 package-1)
    (type_sort_for_package-2 package-2)
    (type_sort_for_package-3 package-3)
    (type_sort_for_truck-0 truck-0)
    (type_vehicle truck-0)
  )
  ((__top))
)
